aboutsummaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorDavid Runge <dave@sleepmap.de>2016-08-17 18:17:08 +0200
committerDavid Runge <dave@sleepmap.de>2016-08-17 18:17:08 +0200
commitc4bff73a83b6a0cfc36fa7e8d5e4644d13be226f (patch)
tree3290fc41d2ecc3eb46eee19ad94d52d1b951e351 /bin
parentd2ab674242cde9c4d6d1eea02359e381cb70678d (diff)
downloaddotfiles-c4bff73a83b6a0cfc36fa7e8d5e4644d13be226f.tar.gz
dotfiles-c4bff73a83b6a0cfc36fa7e8d5e4644d13be226f.tar.bz2
dotfiles-c4bff73a83b6a0cfc36fa7e8d5e4644d13be226f.tar.xz
dotfiles-c4bff73a83b6a0cfc36fa7e8d5e4644d13be226f.zip
bin/i3lock: Adding verbose/ debug mode. Making all external calls absolute.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/i3lock11
1 files changed, 7 insertions, 4 deletions
diff --git a/bin/i3lock b/bin/i3lock
index 2958667..50ce049 100755
--- a/bin/i3lock
+++ b/bin/i3lock
@@ -1,7 +1,10 @@
#!/usr/bin/env bash
+
+set -euo pipefail
+
image_location=/tmp/$(whoami)/screen_locked.png
-xset b off
-scrot -q 100 $image_location
-convert -quality 1 -implode 1 -motion-blur 16x10 $image_location $image_location
-i3lock -i $image_location -ef
+/usr/bin/xset b off
+/usr/bin/scrot -q 100 $image_location
+/usr/bin/convert -quality 1 -implode 1 -motion-blur 16x10 $image_location $image_location
+/usr/bin/i3lock -i $image_location -ef